OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
openvdb::v11_0::points::internal Namespace Reference

## Classes
struct | PointDataNodeChain
| Recursive node chain which generates a openvdb::TypeList value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>. More...
struct | PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, 1 >
struct | PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, HeadLevel >
struct | ValueTypeTraits
struct | ValueTypeTraits< T, void_t< typename T::value_type > >

## Typedefs
template<typename... >
using | void_t = void

## Functions
void | initialize ()
| Global registration of point data-related types.
void | uninitialize ()
| Global deregistration of point data-related types.

## Typedef Documentation

## ◆ void_t

template<typename... >

using void_t = void

## Function Documentation

## ◆ initialize()

void initialize | ( |  | ) |

Global registration of point data-related types.

Note
  This is called from `openvdb::initialize`, so there is no need to call it directly.

## ◆ uninitialize()

void uninitialize | ( |  | ) |

Global deregistration of point data-related types.

Note
  This is called from `openvdb::uninitialize`, so there is no need to call it directly.